Stories
Slash Boxes
Comments

SoylentNews is people

posted by cmn32480 on Sunday February 14 2016, @09:43AM   Printer-friendly
from the NSA-is-watching dept.

"Tor Browser 5.5.2 is now available from the Tor Browser Project page[1] and also from our distribution directory[2].

This release features important security updates[3] to Firefox.

Users on the security level "High" or "Medium-High" were not affected by the bugs in the Graphite font rendering library."

[1] https://www.torproject.org/download/download-easy.html
[2] https://www.torproject.org/dist/torbrowser/5.5.2/
[3] https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox-esr/#firefoxesr38.6.1

###

The full changelog since 5.5.1 is:

Tor Browser 5.5.2 -- February 12 2016

        All Platforms
                Update Firefox to 38.6.1esr
                Update NoScript to 2.9.0.3

###

What is Tor Browser?

"The Tor software protects you by bouncing your communications around a distributed network of relays run by volunteers all around the world: it prevents somebody watching your Internet connection from learning what sites you visit, it prevents the sites you visit from learning your physical location, and it lets you access sites which are blocked.

The Tor Browser lets you use Tor on Windows, Mac OS X, or Linux without needing to install any software. It can run off a USB flash drive, comes with a pre-configured web browser to protect your anonymity, and is self-contained (portable)."

- https://www.torproject.org/projects/torbrowser.html.en


Original Submission

 
This discussion has been archived. No new comments can be posted.
Display Options Threshold/Breakthrough Mark All as Read Mark All as Unread
The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
  • (Score: 0) by Anonymous Coward on Sunday February 14 2016, @07:43PM

    by Anonymous Coward on Sunday February 14 2016, @07:43PM (#304273)

    Well, of course. They suppress all the proof. What more evidence could you need?!